<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS Solutions</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
        4.Write a JavaScript program that implements a "form" validation that displays an error message if a required field is left empty when submitting the form.
        <form id="myForm" onsubmit="validation(event)">
            <label for="name">Name:</label>
            <input type="text" id="name" name="name" required>
            <br>

            <label for="email">Email:</label>
            <input type="email" id="email" name="email" required>
            <br>

            <label for="password">Password:</label>
            <input type="password" id="password" name="password" required>
            <br>

            <input type="submit" value="Submit">
        </form>
        <div id="errorContainer">
        </div>
        <br>
    <hr>
        5. Write a JavaScript program to implement drag-and-drop functionality to allow users to reorder items in a list.
        <div class="dragDropContainer">
            <div id="left">
                <div class="list" draggable="true">List 1</div>
                <div class="list" draggable="true">List 2</div>
                <div class="list" draggable="true">List 3</div>
                <div class="list" draggable="true">List 4</div>
            </div>
            <div id="right">

            </div>
        </div>
        <br>
    <hr>
        <label for="text">6. keydown, write something then press enter</label>
        <input type="text" id="text">
        <br>
    <hr>
        <form onsubmit="sumProduct();return false;">
        <label for="15">15. Enter comma separated array of integers</label>
        <input type="text" id="15">
        <input type="submit" value="Calculate">
        </form>
        <div id="sumproductcontainer">
            <p id="sum"></p>
            <p id="product"></p>
        </div>
        <br>
    <hr>
    16.
    <input type="text" id="pushInput">
    <button onclick="pushData()">Push</button>
    <button onclick="popData()">Pop</button>
    <button onclick="peekData()">Peek</button>
    <p id="peekResult"></p>
    <button onclick="displayIsEmptyorNot()">Is Empty?</button>
    <p id="isEmptyResult"></p>
    <hr>
    <form onsubmit="question17(); return false;">
    <label for="17">17. Enter the string: </label>
    <input type="text" id="17">
    <input type="submit" value="Swap">
    </form>
    <p id="stringAfterSwap"></p>
    <hr>

    <script src="solution.js"></script>
</body>
</html>